#ifndef SOUNDSTREAM_H
#define SOUNDSTREAM_H

#include <string>

// base class for audio streams in different format
// this is a "null" audio ouput and the default for StreamPlayer
class SoundStream {
public:
	SoundStream() {}
	virtual ~SoundStream() {}
	virtual bool play( const std::string& filename ) { return true; }
	virtual void stop() {}
	virtual bool update() { return true; } // false = end of stream
	virtual void setVolume(const float vol) {}
};

#endif

// THE END

